>From f43def8727b380de1b1fb17d3b271a74ab0a3130 Mon Sep 17 00:00:00 2001
From: Evgeni Golov <evgeni@debian.org>
Date: Sun, 8 Sep 2013 19:54:05 +0200
Subject: [PATCH] debcheckout: allow setting the user for auth mode in the
 config

---
 conf.default.in        |    3 +++
 scripts/debcheckout.pl |   10 ++++++++++
 2 files changed, 13 insertions(+)

diff --git a/conf.default.in b/conf.default.in
index f96793a..f8aa7fd 100644
--- a/conf.default.in
+++ b/conf.default.in
@@ -216,6 +216,9 @@
 # package, unpack it, and move the missing files over.
 # DEBCHECKOUT_SOURCE=auto
 #
+# Username for authenticated mode, can be overriden with -u|--user.
+# DEBCHECKOUT_USER=''
+#
 # See debcheckout(1) for a more precise description of syntax and
 # semantics of these settings.
 
diff --git a/scripts/debcheckout.pl b/scripts/debcheckout.pl
index 8e1dd61..6c9af04 100755
--- a/scripts/debcheckout.pl
+++ b/scripts/debcheckout.pl
@@ -217,6 +217,12 @@ This variable determines under what scenarios the associated orig.tar.gz for a
 package will be downloaded.  See the B<--source> option for a description of
 the values.
 
+=item B<DEBCHECKOUT_USER>
+
+This variable sets the username for authenticated mode. It can be overridden
+with the B<--user> option. Setting this variable does not imply the use of
+authenticated mode, it still has to be activated with B<--auth>.
+
 =back
 
 =head1 SEE ALSO
@@ -254,6 +260,7 @@ my @config_files = ('/etc/devscripts.conf', '~/.devscripts');
 my %config_vars = (
     'DEBCHECKOUT_AUTH_URLS' => '',
     'DEBCHECKOUT_SOURCE' => 'auto',
+    'DEBCHECKOUT_USER' => '',
     );
 my %config_default = %config_vars;
 my $shell_cmd;
@@ -1009,6 +1016,9 @@ sub main() {
     # -u|--user implies -a|--auth
     $auth = 1 if length $user;
 
+    # set user from the config file to be used with -a|--auth without -u|--user
+    $user = $config_vars{DEBCHECKOUT_USER} unless length $user;
+
     $destdir = $ARGV[1] if $#ARGV > 0;
     ($pkg, $version) = split(/=/, $ARGV[0]);
     $version ||= "";
-- 
1.7.10.4

